GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gimptile

## Name

gimptile --

## Synopsis

    struct      GimpTile;
    void        gimp_tile_ref                   (GimpTile *tile);
    void        gimp_tile_ref_zero              (GimpTile *tile);
    void        gimp_tile_unref                 (GimpTile *tile,
                                                 gboolean dirty);
    void        gimp_tile_flush                 (GimpTile *tile);
    void        gimp_tile_cache_size            (gulong kilobytes);
    void        gimp_tile_cache_ntiles          (gulong ntiles);
    guint       gimp_tile_width                 (void);
    guint       gimp_tile_height                (void);

## Description

## Details

### struct GimpTile

    struct GimpTile
    {
      guint         ewidth;     /* the effective width of the tile */
      guint         eheight;    /* the effective height of the tile */
      guint         bpp;        /* the bytes per pixel (1, 2, 3 or 4 ) */
      guint         tile_num;   /* the number of this tile within the drawable */
      guint16       ref_count;  /* reference count for the tile */
      guint         dirty : 1;  /* is the tile dirty? has it been modified? */
      guint         shadow: 1;  /* is this a shadow tile */
      guchar       *data;       /* the pixel data for the tile */
      GimpDrawable *drawable;   /* the drawable this tile came from */
    };

### gimp_tile_ref ()

    void        gimp_tile_ref                   (GimpTile *tile);

`tile` : |

### gimp_tile_ref_zero ()

    void        gimp_tile_ref_zero              (GimpTile *tile);

`tile` : |

### gimp_tile_unref ()

    void        gimp_tile_unref                 (GimpTile *tile,
                                                 gboolean dirty);

`tile` : |
`dirty` : |

### gimp_tile_flush ()

    void        gimp_tile_flush                 (GimpTile *tile);

`tile` : |

### gimp_tile_cache_size ()

    void        gimp_tile_cache_size            (gulong kilobytes);

`kilobytes` : |

### gimp_tile_cache_ntiles ()

    void        gimp_tile_cache_ntiles          (gulong ntiles);

`ntiles` : |

### gimp_tile_width ()

    guint       gimp_tile_width                 (void);

Returns : |

### gimp_tile_height ()

    guint       gimp_tile_height                (void);

Returns : |

<<< Previous Page | Home | Up | Next Page >>>
gimptexttool | gimptools